%define	oname	Ri-li
%define	name	ri-li
%define	version	1.2.0
%define	release	%mkrel 2
%define	Summary	Ri-li arcade game

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://surfnet.dl.sourceforge.net/sourceforge/ri-li/%{oname}-%{version}.tar.bz2
License:	GPL
Group:		Games/Arcade
URL:		http://www.ri-li.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	SDL-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dos2unix
Provides:	Ri-li
Obsoletes:	Ri-li

%description
Full-featured, 8 languages: Arabic, Chinese, English, French, German,
Japanese, Russian, Spanish. Colorful animated wood engine, 40 levels
in this first version and 3  beautiful musics and many sound effects. 

%prep
%setup -q -n %{oname}-%{version}
dos2unix README COPYING AUTHORS NEWS COPYING.Music

%build
%configure	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_gamesdatadir}/%{oname}/COPYING.Music

mkdir -p %{buildroot}%{_menudir}
cat << EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/Ri_li" icon="%{oname}.png" \
	needs="X11" \
	section="More Applications/Games/Arcade" \
	title="Ri-li" \
	longtitle="%{Summary}" \
	xdg="true"
EOF

install -m644 data/Ri-li-icon-16x16.png -D %{buildroot}%{_miconsdir}/%{oname}.png
install -m644 data/Ri-li-icon-32x32.png -D %{buildroot}%{_iconsdir}/%{oname}.png
install -m644 data/Ri-li-icon-48x48.png -D %{buildroot}%{_liconsdir}/%{oname}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Ri-li
Comment=%{Summary}
Exec=%{_gamesbindir}/Ri_li

# Exec=%{_bindir}/%{name} if accept_url=false AND multiples_files=false, see http://qa.mandriva.com/twiki/bin/view/Main/XDGMenuSystem for complete details
Icon=%{name} # (no filename extension for icon, it is guessed automatically)
Terminal=false
Type=Application
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

%clean
rm -rf $%{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-, root, root)
%doc README COPYING AUTHORS NEWS COPYING.Music
%{_gamesbindir}/Ri_li
%{_gamesdatadir}/%{oname}/levels.dat
%{_gamesdatadir}/%{oname}/sprites.dat
%{_gamesdatadir}/%{oname}/Ri-li-icon-*.png
%{_gamesdatadir}/%{oname}/*.ico
%{_gamesdatadir}/%{oname}/Sounds/*
%{_gamesdatadir}/%{oname}/*.ebuild
%{_menudir}/%{name}
%{_iconsdir}/%{oname}*.png
%{_miconsdir}/%{oname}*.png
%{_liconsdir}/%{oname}*.png
%{_datadir}/applications/*

%changelog
* Mon Aug 28 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2.0-2mdv2007.0
- fix summary macro used in menu
- fix categories in xdg menu
- fix wrong-file-end-of-line-encoding
- cosmetics

* Mon Jul 31 2006 Jerome Soyer <saispo@mandriva.org> 1.2.0-1mdv2007.0
- New release 1.2.0

* Wed Jul 12 2006 Lenny Cartier <lenny@mandriva.com> 1.0.3-1mdv2007.0
- add xdg menu
- move to gamesbindir and gamesdatadir

* Mon Jul 3 2006 Velu Erwan <erwan@seanodes.com> 1.0.2-1
- Initial rpm for mandriva
- Using ri-li package name to match Mandriva's naming policy

* Thu Jun 29 2006 Dominique Roux-Serret <roux-serret@ifrance.com> 1.0.2-1
- first RPM pakage.
